#include<iostream>
using namespace std;
 int main()
 {
 	 long long n,q,a,b,br=0;
 	 cin>>n;
 	 long long niz[n];
 	 for(int i=0; i<n; i++){
 	 	cin>>niz[i];
	  }
	  cin>>q;
	  long long niz1[q][2];
	  for(int i=0; i<q; i++)
	  {
	  	cin>>niz1[i][0];
	  	cin>>niz1[i][1];
	  }
	  for(int i=0; i<q; i++)
	  {
	  		a=niz1[i][0]-1;
	  		b=niz1[i][1]-1;
	  		br=0;
	  		if(a!=b)
	  		{
			  for(int j=a; j<=b-1; j++)
			  {
	  			if(niz[j]>niz[j+1])
	  			{
	  				br++;
				  }
				  if(br>1){
				  	break;
				  }
			  }
			  if(br>1)
			  {
			  	cout<<"NE"<<endl;;
			  }
			  else
			  {
			  	cout<<"DA"<<endl;
			  }
			}
			else
			{
				cout<<"DA";
			}
	  }
 	 
 }